# $Revision: 1.20 $, $Date: 2004/05/06 18:09:19 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	CGI
%define	pnam	WML
Summary:	CGI::WML - subclass LDS's "CGI.pm" for WML output and WML methods
Summary(pl):	CGI::WML - podklasa CGI.pm do wyjcia i metod WML
Name:		perl-CGI-WML
Version:	0.09
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	091abe6a07f1b795d63437e78bf68efd
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-CGI
BuildRequires:	perl-HTML-Parser
BuildRequires:	perl-HTML-TableExtract
BuildRequires:	perl-XML-Parser
%endif
BuildRequires:	rpm-perlprov >= 3.0.3-26
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CGI::WML provides WML output and WML methods for CGI programming.
The purpose of the module is to retain the familiar CGI.pm way of
programming to enable experienced CGI programmers to use their
existing skills when creating WAP applications.

%description -l pl
CGI::WML udostpnia wyjcie WML i metody WML do programowania CGI.
Celem tego moduu jest zachowanie znanej metody programowania CGI, aby
umoliwi dowiadczonym programistom CGI uywanie swoich umiejtnoci
przy tworzeniu aplikacji WAP.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-CGI-WML.spec,v $
Revision 1.20  2004/05/06 18:09:19  ankry
- fixed perl-devel BR

Revision 1.19  2004/04/25 06:25:04  ankry
- cosmetics: unification

Revision 1.18  2004/04/20 23:30:45  ankry
- fixed bconds

Revision 1.17  2004/04/20 09:46:27  ankry
- bcond fixes/porting

Revision 1.16  2004/04/17 18:00:51  ankry
- license/summary/description fixes

Revision 1.15  2003/09/09 10:24:28  ankry
- spaces -> tab

Revision 1.14  2003/05/28 13:00:28  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/04/12 09:28:45  ankry
- release up to be higher than in RA-branch; cosmetics

Revision 1.11  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.10  2003/02/25 00:36:52  radek
- use the __perl macro

Revision 1.9  2003/02/21 23:35:46  ankry
- autoupdated to 0.09

Revision 1.8  2003/02/19 15:16:55  ankry
- autoupdated to 0.08

Revision 1.7  2003/02/18 15:27:11  ankry
- massive attack: change CPAN URLs

Revision 1.6  2003/02/05 19:56:37  radek
- release 1, it's OK now

Revision 1.5  2003/02/05 16:50:33  ankry
- release 0.1

Revision 1.4  2003/02/05 16:17:15  ankry
- autoupdated to 0.07

Revision 1.3  2002/09/30 11:10:32  radek
- release 2 -> 0.2

Revision 1.2  2002/09/10 19:58:32  qboosh
- pl description, release 2

Revision 1.1  2002/09/04 19:28:40  radek
- new, broken: folks seem to dislike File::Temp and forgot to copy the
  CGITempFile class from CGI.pm, so tests fail; waiting for a new version
